Method: advertisers.reachForecast.retrievePlannableUserInterests

擷取可用於預測的 Google 目標對象 (使用者興趣)。

HTTP 要求

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
advertiserId

string (int64 format)

必填。要列出可規劃使用者興趣的廣告主 ID。

查詢參數

參數
productCategory

enum (PlannableProductCategory)

必填。要擷取可規劃使用者興趣的產品類別。

要求主體

要求主體必須為空白。

回應主體

reachForecast.retrievePlannableUserInterests 的回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "plannableUserInterests": [
    {
      object (PlannableUserInterest)
    }
  ]
}
欄位
plannableUserInterests[]

object (PlannableUserInterest)

可規劃的使用者興趣清單 (Google 目標對象)。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/display-video

詳情請參閱OAuth 2.0 Overview

PlannableUserInterest

可規劃的使用者興趣,用於指定目標。

JSON 表示法
{
  "userInterestDisplayName": string,
  "userInterestPath": string,
  "userInterestType": string,
  "userInterest": {
    object (UserInterest)
  }
}
欄位
userInterestDisplayName

string

僅供輸出。興趣的顯示名稱,例如「戶外活動愛好者」。

userInterestPath

string

僅供輸出。興趣的類別路徑。

userInterestType

string

僅供輸出。目標對象類型,例如「AFFINITY」、「IN_MARKET」。

userInterest

object (UserInterest)

僅供輸出。使用者興趣的 ID。

要求中指定的 [productCategory][] 會決定物件中填入的欄位。

  • 系統會為「Youtube」填入 [userInterestCategory][]。
  • 系統會為「公開競價」填入 [userInterestUserList][]。

使用者興趣

使用者興趣的 ID。

JSON 表示法
{
  "userInterestCategory": string,
  "userInterestUserList": string
}
欄位
userInterestCategory

string

僅供輸出。興趣類別的資源名稱。當 productCategory 為「Youtube」時,系統會填入這個欄位。格式:customers/{customerId}/userInterests/{user_interest_id}

userInterestUserList

string

僅供輸出。使用者名單的資源名稱。如果 productCategory 是「公開競價」,系統就會填入這個欄位。格式:customers/{customerId}/userLists/{user_list_id}